YAFLogo

jccfrancis
  • jccfrancis
  • 52.4% (Neutral)
  • YAF Forumling Topic Starter
10 years ago
During this step of the Installation:

------------------------------------------------

Clicking next will upgrade your database to the latest version.

Attempt to Install FullText Search Support

Upgrade BBCode Extensions, File Extensions and Topic Status Lists

------------------------------------------------

I'm getting this error:

The INSERT statement conflicted with the FOREIGN KEY constraint "FK_XXX_BBCode_Board". The conflict occurred in database "XXXXXXX_XXX", table "dbo.XXX_Board", column 'BoardID'.

The statement has been terminated.

Any suggestions?

Sponsor

jccfrancis
  • jccfrancis
  • 52.4% (Neutral)
  • YAF Forumling Topic Starter
10 years ago
on

YAF-v1.9.6.1-RTW-SRC\YAF.Classes\YAF.Classes.Data\Import\DataImport.cs line 62

dsBBCode.Tables["YafBBCode"]

in that table, the first row was the one giving the error, for some reason i truncated the files of the database and on my second run of debugin, there were no errors and the installation was successfull

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.3
10 years ago
Quote:

Upgrade BBCode Extensions, File Extensions and Topic Status Lists

On new Installations dont check that Option, only on Upgrade.

This issue is fixed in the next Version.